Github messages for voidlinux
 help / color / Atom feed
* [ISSUE] hplip missing "python3-distro" dependency
@ 2020-01-13 21:07 voidlinux-github
  2020-01-16 18:18 ` [ISSUE] [CLOSED] " voidlinux-github
  0 siblings, 1 reply; 2+ messages in thread
From: voidlinux-github @ 2020-01-13 21:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1821 bytes --]

New issue by Sarkasper on void-packages repository

https://github.com/void-linux/void-packages/issues/18295

Description:

### System

* xuname:  
  *Void 5.4.11_1 x86_64 AuthenticAMD uptodate rrrmFFF*
* package:  
  *hplip-3.19.12_2*

### Expected behavior
run setup and download the plugin
### Actual behavior
ends with this error:

```
[\                                                                                                                                                                                                               ] 0%     Traceback (most recent call last):
  File "/usr/share/hplip/base/password.py", line 85, in get_distro_name
    os_name = platform.dist()[0]
AttributeError: module 'platform' has no attribute 'dist'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/hp-plugin", line 363, in <module>
    status, plugin_path, error_str = pluginObj.download(plugin_path, plugin_download_callback)
  File "/usr/share/hplip/installer/pluginhandler.py", line 254, in download
    core = core_install.CoreInstall()
  File "/usr/share/hplip/installer/core_install.py", line 240, in __init__
    self.passwordObj = password.Password(ui_mode)
  File "/usr/share/hplip/base/password.py", line 118, in __init__
    self.__readAuthType()  # self.__authType
  File "/usr/share/hplip/base/password.py", line 140, in __readAuthType
    distro_name = get_distro_name().lower()
  File "/usr/share/hplip/base/password.py", line 87, in get_distro_name
    import distro
ModuleNotFoundError: No module named 'distro'
```

### Steps to reproduce the behavior
1. run `# hp-setup -i` or `$ hp-plugin` to see the error
2. `# xbps-install -S python3-distro`, run command again and it is working

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [ISSUE] [CLOSED] hplip missing "python3-distro" dependency
  2020-01-13 21:07 [ISSUE] hplip missing "python3-distro" dependency voidlinux-github
@ 2020-01-16 18:18 ` " voidlinux-github
  0 siblings, 0 replies; 2+ messages in thread
From: voidlinux-github @ 2020-01-16 18:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1824 bytes --]

Closed issue by Sarkasper on void-packages repository

https://github.com/void-linux/void-packages/issues/18295

Description:

### System

* xuname:  
  *Void 5.4.11_1 x86_64 AuthenticAMD uptodate rrrmFFF*
* package:  
  *hplip-3.19.12_2*

### Expected behavior
run setup and download the plugin
### Actual behavior
ends with this error:

```
[\                                                                                                                                                                                                               ] 0%     Traceback (most recent call last):
  File "/usr/share/hplip/base/password.py", line 85, in get_distro_name
    os_name = platform.dist()[0]
AttributeError: module 'platform' has no attribute 'dist'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/hp-plugin", line 363, in <module>
    status, plugin_path, error_str = pluginObj.download(plugin_path, plugin_download_callback)
  File "/usr/share/hplip/installer/pluginhandler.py", line 254, in download
    core = core_install.CoreInstall()
  File "/usr/share/hplip/installer/core_install.py", line 240, in __init__
    self.passwordObj = password.Password(ui_mode)
  File "/usr/share/hplip/base/password.py", line 118, in __init__
    self.__readAuthType()  # self.__authType
  File "/usr/share/hplip/base/password.py", line 140, in __readAuthType
    distro_name = get_distro_name().lower()
  File "/usr/share/hplip/base/password.py", line 87, in get_distro_name
    import distro
ModuleNotFoundError: No module named 'distro'
```

### Steps to reproduce the behavior
1. run `# hp-setup -i` or `$ hp-plugin` to see the error
2. `# xbps-install -S python3-distro`, run command again and it is working

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-01-13 21:07 [ISSUE] hplip missing "python3-distro" dependency voidlinux-github
2020-01-16 18:18 ` [ISSUE] [CLOSED] " voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git